#ifndef _AUDIO_SDL_H_
#define _AUDIO_SDL_H_

#include <SDL.h>

#define SILENCE_BLOCK 256

struct x_audio_priv_t {
	SDL_AudioSpec spec;
	int sps;
	struct rbuf_t *rbuf;
	struct rbuf_data_t *rd;
	int used;
	volatile unsigned long long * video_time;
	int silence;
	int discard;
	unsigned long long window;
	unsigned char sblock[SILENCE_BLOCK];
};

int x_audio_init(struct x_audio_priv_t *p, struct rbuf_t *rbuf, unsigned long long vstep, volatile unsigned long long * video_time, int speed, int bits, int channels);
void x_audio_stop(struct x_audio_priv_t *p);
#endif
