#ifndef _INPUT_MC_H_
#define _INPUT_MC_H_

#include "mcs.h"

#define MCSI_MAXPACK 65536

struct mcsi_t {
	int fd;
	int type;
	struct sockaddr_in addr;
	char buf[MCSI_MAXPACK + sizeof(uint64_t)];
	int bpointer;
	int blength;
};

int mcsi_init(struct mcsi_t *m, char *url);
int mcsi_read_raw(struct mcsi_t *m, unsigned char *buf, int len);
int mcsi_read(struct mcsi_t *m, int head, unsigned char *buf, int len);
void mcsi_done(struct mcsi_t *m);

#endif
