#ifndef _RBUF_H_
#define _RBUF_H_

struct rbuf_data_t {
	int full;
	int valid;
	unsigned long long time;
	void * data;
};

struct rbuf_t {
	int count;
	int head;
	int tail;
	int max;
	struct rbuf_data_t *buf;
};

int rbuf_new(struct rbuf_t * rbuf, int n, int size);
void rbuf_free(struct rbuf_t *rbuf);
int rbuf_depth(struct rbuf_t *rbuf);
struct rbuf_data_t *rbuf_pop_tail(struct rbuf_t *rbuf);
void rbuf_push_tail(struct rbuf_t *rbuf);
struct rbuf_data_t *rbuf_pop_head(struct rbuf_t *rbuf);
void rbuf_push_head(struct rbuf_t *rbuf, int n);

#endif
