#ifndef _CONVERT_H_
#define _CONVERT_H_

#ifdef _CONVERT_INTERNAL_
#include "avcodec.h"
#include "framehook.h"

typedef struct {
	AVPicture opict;
	unsigned char ** obuf;
	int ff_outfmt;
	unsigned int outfmt;

	AVPicture ipict;
	int ff_infmt;
	unsigned int infmt;

	int width;
	int height;
	
	char * vhook;
} convert_t;
#else
typedef void convert_t;
#endif

convert_t * convert_new(unsigned int infmt, unsigned int outfmt, int width, int height, char * vhook);
unsigned char ** convert_convert(convert_t * c, unsigned char ** buf);
void convert_end(convert_t * c);

#endif
