extern int cpu_features;
extern void cpu_features_init(void);

#define CPU_FEATURE_MMX		0x0001
#define CPU_FEATURE_MMXEXT	0x0002
#define CPU_FEATURE_SSE		0x0004
#define CPU_FEATURE_SSE2	0x0008
#define CPU_FEATURE_3DNOW	0x0010
#define CPU_FEATURE_3DNOWEXT	0x0020

#define CPU_HAS_FEATURE_MMX		((cpu_features&CPU_FEATURE_MMX)?1:0)
#define CPU_HAS_FEATURE_MMXEXT		((cpu_features&CPU_FEATURE_MMXEXT)?1:0)
#define CPU_HAS_FEATURE_SSE		((cpu_features&CPU_FEATURE_SSE)?1:0)
#define CPU_HAS_FEATURE_SSE2		((cpu_features&CPU_FEATURE_SSE2)?1:0)
#define CPU_HAS_FEATURE_3DNOW		((cpu_features&CPU_FEATURE_3DNOW)?1:0)
#define CPU_HAS_FEATURE_3DNOWEXT	((cpu_features&CPU_FEATURE_3DNOWEXT)?1:0)
