#ifndef _ACONV_MAD_H_
#define _ACONV_MAD_H_

#include <SDL.h>
#include <SDL_thread.h>
#include <sys/types.h>
#include <mad.h>

#include "rbuf.h"

struct aconv_mad_priv_t {
	struct mad_decoder decoder;
	SDL_Thread *aconv;
	unsigned long long atime_c;
	struct rbuf_t *raud;
	struct rbuf_t *rcaud;
	struct rbuf_data_t *rd;
	int rdused;
	int targ_size;
	char *buf;
	int lastwrite;
};

int aconv_mad_start(struct aconv_mad_priv_t *a, struct rbuf_t *rcaud, struct rbuf_t *raud, int targ_size);
void aconv_mad_stop(struct aconv_mad_priv_t *a);

#endif
