#ifndef _DECODE_DIVX_H_
#define _DECODE_DIVX_H_

#include "mcplay.h"
#include <decore.h>

struct divx_priv_t {
	decoreFunc decore;
	long handle;
	DEC_PARAM param;
	DEC_FRAME frame;
	unsigned char * buf;
	int w;
	int bpp;
};

int divx_init(struct divx_priv_t *d, char *fcc, int bpp, int w, int h);
void divx_close(struct divx_priv_t *d);
int divx_decode(struct divx_priv_t *d, void *bs, int len, int render, yuv_pic_t *pic);

#endif
