#ifndef _DISPLAY_SDL_H_
#define _DISPLAY_SDL_H_

#include <SDL.h>

struct sdl_video_priv_t {
	SDL_Surface *screen;
	SDL_Overlay *overlay;
	SDL_Rect dest;
	int w;
	int h;
	int init;
};

int sdl_video_init(struct sdl_video_priv_t *p, int w, int h, int wd, int hd);
void sdl_video_resize(struct sdl_video_priv_t *p, int wd, int hd);
void sdl_video_display(struct sdl_video_priv_t *p, unsigned char * y, unsigned char * u, unsigned char * v, int sy, int suv);
void sdl_video_quit(struct sdl_video_priv_t *p);

#endif
