#ifndef _MCPLAY_H_
#define _MCPLAY_H_

#include <stdio.h>
#include <decore.h>

#define DPRINT(args...) fprintf(stderr, ## args)
//#define DPRINT(args...) 
//#define DPRINT2(args...) fprintf(stderr, ## args)
#define DPRINT2(args...) 
#define EPRINT(args...) fprintf(stderr, ## args)

#define MAXU64 0xffffffffffffffffULL

#ifdef _DECORE_H_
	typedef DEC_PICTURE yuv_pic_t;
#else
#warning Including own yuv_pic definition!
	typedef struct
	{
		void *y;
		void *u;
		void *v;
		int stride_y;
		int stride_uv;
	} yuv_pic_t;
#endif /* decore.h */

#endif
