#ifndef _ACONV_MPG123_H_
#define _ACONV_MPG123_H_

#include <SDL.h>
#include <SDL_thread.h>
#include <sys/types.h>

#include "rbuf.h"

struct aconv_mpg123_priv_t {
	SDL_Thread *athread_c;
	SDL_Thread *athread_u;
	pid_t mid;
	int c_rd;
	int c_wr;
	int u_rd;
	int u_wr;
	unsigned long long atime_c;
	struct rbuf_t *raud;
	struct rbuf_t *rcaud;
	int targ_size;
};

int aconv_mpg123_start(struct aconv_mpg123_priv_t *a, struct rbuf_t *rcaud, struct rbuf_t *raud, int targ_size);
void aconv_mpg123_stop(struct aconv_mpg123_priv_t *a);

#endif
